import request from '@/utils/request'

// 查询完课模板列表
export function listCourseFinishTempParent(query) {
  return request({
    url: '/course/courseFinishTempParent/list',
    method: 'get',
    params: query
  })
}

// 查询完课模板详细
export function getCourseFinishTempParent(id) {
  return request({
    url: '/course/courseFinishTempParent/' + id,
    method: 'get'
  })
}

// 新增完课模板
export function addCourseFinishTempParent(data) {
  return request({
    url: '/course/courseFinishTempParent',
    method: 'post',
    data: data
  })
}

// 修改完课模板
export function updateCourseFinishTempParent(data) {
  return request({
    url: '/course/courseFinishTempParent',
    method: 'put',
    data: data
  })
}

// 删除完课模板
export function delCourseFinishTempParent(id) {
  return request({
    url: '/course/courseFinishTempParent/' + id,
    method: 'delete'
  })
}

// 导出完课模板
export function exportCourseFinishTempParent(query) {
  return request({
    url: '/course/courseFinishTempParent/export',
    method: 'get',
    params: query
  })
}